#scoreboard objectives add bullet dummy
#scoreboard objectives add bullet_hits dummy
#
# ===== Bullets =====
#scoreboard objectives add bullet_score dummy
#tag @e[family=bullet,scores={bullet=0}] add start_dmg
##OR
##scoreboard players add @e[family=bullet,scores={bullet=0..2}] bullet 1
##tag @e[family=bullet,scores={bullet=2}] add start_dmg

# ===== player entity recoil =====
execute as @e[type=yes:player_entity,scores={recoil=1..}] run scoreboard players remove @s recoil 1
execute as @e[type=yes:player_entity,scores={recoil=61..}] run scoreboard players set @s recoil 60

execute as   @e[type=yes:player_entity,scores={recoil=1..5}] run event entity @s yes:recoil0_event
execute as  @e[type=yes:player_entity,scores={recoil=6..10}] run event entity @s yes:recoil1_event
execute as @e[type=yes:player_entity,scores={recoil=11..15}] run event entity @s yes:recoil2_event
execute as @e[type=yes:player_entity,scores={recoil=16..20}] run event entity @s yes:recoil3_event
execute as @e[type=yes:player_entity,scores={recoil=21..25}] run event entity @s yes:recoil4_event
execute as @e[type=yes:player_entity,scores={recoil=26..30}] run event entity @s yes:recoil5_event
execute as @e[type=yes:player_entity,scores={recoil=31..35}] run event entity @s yes:recoil6_event
execute as @e[type=yes:player_entity,scores={recoil=36..40}] run event entity @s yes:recoil7_event
execute as @e[type=yes:player_entity,scores={recoil=41..45}] run event entity @s yes:recoil8_event
execute as @e[type=yes:player_entity,scores={recoil=46..50}] run event entity @s yes:recoil9_event
execute as @e[type=yes:player_entity,scores={recoil=51..55}] run event entity @s yes:recoil10_event
execute as @e[type=yes:player_entity,scores={recoil=56..60}] run event entity @s yes:recoil11_event

# ===== end =====



# ===== sniper scope =====
scoreboard objectives add sniper_scope dummy
scoreboard players add @a sniper_scope 0
execute as @a[hasitem={item=yes:mk13,location=slot.weapon.mainhand},scores={scoped=1}] at @s anchored eyes unless entity @e[type=yes:sniper_entity,c=1,r=1.50] run summon yes:sniper_entity ~~~
execute as @a[hasitem={item=yes:empty_mk13,location=slot.weapon.mainhand},scores={scoped=1}] at @s anchored eyes unless entity @e[type=yes:sniper_entity,c=1,r=1.50] run summon yes:sniper_entity ~~~
execute as @e[type=yes:sniper_entity] at @s at @p[r=1.50,hasitem={item=yes:empty_mk13,location=slot.weapon.mainhand}] anchored eyes run tp @s ~~~
execute as @e[type=yes:sniper_entity] at @s at @p[r=1.50,hasitem={item=yes:mk13,location=slot.weapon.mainhand}] anchored eyes run tp @s ~~~
execute as @e[type=yes:sniper_entity] at @s unless entity @a[r=1.50,scores={scoped=1}] run event entity @s yes:despawn

# ===== end =====



#	 ===== Gun sounds, recoil, deafness =====
scoreboard objectives add timer dummy
scoreboard objectives add bullet_hits dummy
scoreboard objectives add identifier dummy
scoreboard objectives add identifier2 dummy
scoreboard objectives add identifier3 dummy
scoreboard objectives add scoped dummy
scoreboard objectives add hold_detector dummy
scoreboard objectives add recoil dummy
scoreboard objectives add deafness dummy
#scoreboard objectives add auto_gun dummy
#scoreboard objectives add semi_gun dummy
scoreboard objectives add temp dummy
scoreboard objectives add despawn dummy
scoreboard players add @a identifier 0
scoreboard players add @a hold_detector 0
scoreboard players add @a recoil 0
scoreboard players add @a auto_gun 0
scoreboard players add @a semi_gun 0
scoreboard players add @a reload_timer 0


scoreboard players add @a minigun 0
scoreboard players add @a rpg7 0
scoreboard players add @a mgl105 0
scoreboard players add @a javelin 0
execute as @a[scores={recoil=1..}] run scoreboard players remove @s recoil 1
execute as @a[scores={recoil=61..}] run scoreboard players set @s recoil 60
execute as @a[scores={auto_gun=-2..0}] run scoreboard players remove @s auto_gun 1
execute as @a[scores={semi_gun=-1..0}] run scoreboard players remove @s semi_gun 1
execute as @a[scores={minigun=-2..3}] run scoreboard players remove @s minigun 1
execute as @a[scores={rpg7=-2..0}] run scoreboard players remove @s rpg7 1
execute as @a[scores={mgl105=-3..1}] run scoreboard players remove @s mgl105 1
execute as @a[scores={javelin=-2..3}] run scoreboard players remove @s javelin 1


scoreboard players set @a[scores={deafness=601..}] deafness 600
scoreboard players remove @a[scores={deafness=410..}] deafness 10
scoreboard players remove @a[scores={deafness=205..409}] deafness 5
scoreboard players remove @a[scores={deafness=44..204}] deafness 4
scoreboard players remove @a[scores={deafness=1..43}] deafness 2
scoreboard players set @a[scores={deafness=..-1}] deafness 0



tag @a[tag=last_bullet] remove last_bullet
scoreboard players set @a[scores={auto_gun=-3,minigun=-3,rpg7=-3,mgl105=-4,javelin=-3,hold_detector=!0}] hold_detector 0

scoreboard players set @a[hasitem={item=yes:rpg7,location=slot.weapon.mainhand},scores={rpg7=-3}] hold_detector 0
scoreboard players set @a[hasitem={item=yes:empty_rpg7,location=slot.weapon.mainhand},scores={rpg7=-3}] hold_detector 0



#	 ===== Reloading =====
scoreboard objectives add reload_test dummy
scoreboard objectives add reload_timer dummy
scoreboard players set @a reload_test 0


execute as @a[hasitem={item=yes:empty_ak47,location=slot.weapon.mainhand}] run scoreboard players add @s reload_test 1
execute as @a[hasitem={item=yes:empty_ak47,location=slot.weapon.mainhand}] if entity @s[hasitem={item=yes:rifle_mag}] run scoreboard players add @s reload_test 1
execute as @a[hasitem={item=yes:empty_ak47,location=slot.weapon.mainhand},tag=reloading_ak47] run scoreboard players add @s reload_test 1
execute as @a[scores={reload_test=..2},tag=reloading_ak47] run tag @s remove reloading_ak47
  execute as @a[hasitem={item=yes:empty_ar15,location=slot.weapon.mainhand}] run scoreboard players add @s reload_test 1
  execute as @a[hasitem={item=yes:empty_ar15,location=slot.weapon.mainhand}] if entity @s[hasitem={item=yes:rifle_mag}] run scoreboard players add @s reload_test 1
execute as @a[hasitem={item=yes:empty_ar15,location=slot.weapon.mainhand},tag=reloading_ar15] run scoreboard players add @s reload_test 1
  execute as @a[scores={reload_test=..2},tag=reloading_ar15] run tag @s remove reloading_ar15

  execute as @a[hasitem={item=yes:empty_p90,location=slot.weapon.mainhand}] run scoreboard players add @s reload_test 1
  execute as @a[hasitem={item=yes:empty_p90,location=slot.weapon.mainhand}] if entity @s[hasitem={item=yes:smg_mag}] run scoreboard players add @s reload_test 1
execute as @a[hasitem={item=yes:empty_p90,location=slot.weapon.mainhand},tag=reloading_p90] run scoreboard players add @s reload_test 1
  execute as @a[scores={reload_test=..2},tag=reloading_p90] run tag @s remove reloading_p90

execute as @a[hasitem={item=yes:empty_mk13,location=slot.weapon.mainhand}] run scoreboard players add @s reload_test 1
execute as @a[hasitem={item=yes:empty_mk13,location=slot.weapon.mainhand}] if entity @s[hasitem={item=yes:sniper_mag}] run scoreboard players add @s reload_test 1
execute as @a[hasitem={item=yes:empty_mk13,location=slot.weapon.mainhand},tag=reloading_mk13] run scoreboard players add @s reload_test 1
execute as @a[scores={reload_test=..2},tag=reloading_mk13] run tag @s remove reloading_mk13

execute as @a[hasitem={item=yes:empty_remington870,location=slot.weapon.mainhand}] run scoreboard players add @s reload_test 1
execute as @a[hasitem={item=yes:empty_remington870,location=slot.weapon.mainhand}] if entity @s[hasitem={item=yes:shotgun_shell}] run scoreboard players add @s reload_test 1
execute as @a[hasitem={item=yes:empty_remington870,location=slot.weapon.mainhand},tag=reloading_remington870] run scoreboard players add @s reload_test 1
execute as @a[scores={reload_test=..2},tag=reloading_remington870] run tag @s remove reloading_remington870

execute as @a[hasitem={item=yes:empty_desert_eagle,location=slot.weapon.mainhand}] run scoreboard players add @s reload_test 1
execute as @a[hasitem={item=yes:empty_desert_eagle,location=slot.weapon.mainhand}] if entity @s[hasitem={item=yes:pistol_mag}] run scoreboard players add @s reload_test 1
execute as @a[hasitem={item=yes:empty_desert_eagle,location=slot.weapon.mainhand},tag=reloading_desert_eagle] run scoreboard players add @s reload_test 1
execute as @a[scores={reload_test=..2},tag=reloading_desert_eagle] run tag @s remove reloading_desert_eagle


execute as @a[hasitem={item=yes:empty_rpg7,location=slot.weapon.mainhand}] run scoreboard players add @s reload_test 1
execute as @a[hasitem={item=yes:empty_rpg7,location=slot.weapon.mainhand}] if entity @s[hasitem={item=yes:rpg_rocket}] run scoreboard players add @s reload_test 1
execute as @a[hasitem={item=yes:empty_rpg7,location=slot.weapon.mainhand},tag=reloading_rpg7] run scoreboard players add @s reload_test 1
execute as @a[scores={reload_test=..2},tag=reloading_rpg7] run tag @s remove reloading_rpg7

#execute as @a[tag=!reloading_ak47,tag=!reloading_ar15,tag=!reloading_famas,tag=!reloading_ump45,tag=!reloading_p90,tag=!reloading_mk13,tag=!reloading_m21,tag=!reloading_remington870,tag=!reloading_ithaca37,tag=!reloading_desert_eagle,tag=!reloading_glock18,tag=!reloading_minigun,tag=!reloading_rpg7,tag=!reloading_mgl105,tag=!reloading_javelin] run scoreboard players set @s reload_timer -1



# ===== from shotgun =====
execute as @a[scores={shotgun_timer=22..}] run scoreboard players set @s reload_test 3
scoreboard players set @a reload_shotgun 0 
# ===== end =====
execute as @a[scores={reload_test=..2,reload_timer=1..}] run tag @s add cancelled
execute as @a[scores={reload_test=..2,reload_timer=1..}] at @s run event entity @e[type=yes:player_entity,c=1,r=1.50] yes:not_shotgun_cont_event
scoreboard players set @a[scores={reload_test=..2,reload_timer=1..}] reload_timer -1
#scoreboard players set @a[tag=cancelled] reload_timer -1



# ===== reload animation =====
      execute as @a[scores={reload_timer=1..}] at @s run event entity @e[type=yes:player_entity,c=1,r=1.50] yes:reloading_event
      execute as @a[scores={reload_timer=-1}] at @s run event entity @e[type=yes:player_entity,c=1,r=1.50] yes:not_reloading_event
# ===== end =====



execute as @a[hasitem={item=yes:empty_ak47,location=slot.weapon.mainhand}] if entity @s[tag=reloading_ak47] run scoreboard players remove @s[scores={reload_timer=1..}] reload_timer 1
execute as @a[hasitem={item=yes:empty_ak47,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run replaceitem entity @s slot.weapon.mainhand 0 yes:ak47
execute as @a[hasitem={item=yes:ak47,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run clear @s yes:rifle_mag -1 1
  execute as @a[hasitem={item=yes:empty_ar15,location=slot.weapon.mainhand}] if entity @s[tag=reloading_ar15] run scoreboard players remove @s[scores={reload_timer=1..}] reload_timer 1
  execute as @a[hasitem={item=yes:empty_ar15,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run replaceitem entity @s slot.weapon.mainhand 0 yes:ar15
  execute as @a[hasitem={item=yes:ar15,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run clear @s yes:rifle_mag -1 1



  execute as @a[hasitem={item=yes:empty_p90,location=slot.weapon.mainhand}] if entity @s[tag=reloading_p90] run scoreboard players remove @s[scores={reload_timer=1..}] reload_timer 1
  execute as @a[hasitem={item=yes:empty_p90,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run replaceitem entity @s slot.weapon.mainhand 0 yes:p90
  execute as @a[hasitem={item=yes:p90,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run clear @s yes:smg_mag -1 1

execute as @a[hasitem={item=yes:empty_mk13,location=slot.weapon.mainhand}] if entity @s[tag=reloading_mk13] run scoreboard players remove @s[scores={reload_timer=1..}] reload_timer 1
execute as @a[hasitem={item=yes:empty_mk13,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run replaceitem entity @s slot.weapon.mainhand 0 yes:mk13
execute as @a[hasitem={item=yes:mk13,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run clear @s yes:sniper_mag -1 1


execute as @a[hasitem={item=yes:empty_remington870,location=slot.weapon.mainhand}] if entity @s[tag=reloading_remington870] run scoreboard players remove @s[scores={reload_timer=1..}] reload_timer 1
  execute as @a[hasitem={item=yes:empty_remington870,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run scoreboard players set @s reload_shotgun 1
  execute as @a[hasitem={item=yes:empty_remington870,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run scoreboard players set @s shotgun_timer 21
execute as @a[hasitem={item=yes:empty_remington870,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run clear @s yes:shotgun_shell -1 1
execute as @a[hasitem={item=yes:empty_remington870,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run replaceitem entity @s slot.weapon.mainhand 0 yes:remington870_1 1 5


execute as @a[hasitem={item=yes:empty_desert_eagle,location=slot.weapon.mainhand}] if entity @s[tag=reloading_desert_eagle] run scoreboard players remove @s[scores={reload_timer=1..}] reload_timer 1
execute as @a[hasitem={item=yes:empty_desert_eagle,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run replaceitem entity @s slot.weapon.mainhand 0 yes:desert_eagle
execute as @a[hasitem={item=yes:desert_eagle,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run clear @s yes:pistol_mag -1 1




execute as @a[hasitem={item=yes:empty_rpg7,location=slot.weapon.mainhand}] if entity @s[tag=reloading_rpg7] run scoreboard players remove @s[scores={reload_timer=1..}] reload_timer 1
execute as @a[hasitem={item=yes:empty_rpg7,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run replaceitem entity @s slot.weapon.mainhand 0 yes:rpg7
execute as @a[hasitem={item=yes:rpg7,location=slot.weapon.mainhand}] if entity @s[scores={reload_timer=0}] run clear @s yes:rpg_rocket -1 1


execute as @a[scores={reload_timer=0}] run scoreboard players set @s test 0


# ===== magazine hide animation =====
      execute as @a[scores={reload_timer=36},hasitem={item=yes:empty_ak47,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:no_magazine_event
      execute as @a[scores={reload_timer=9},hasitem={item=yes:empty_ak47,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:magazine_event
        execute as @a[scores={reload_timer=27},hasitem={item=yes:empty_ar15,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:no_magazine_event
        execute as @a[scores={reload_timer=5},hasitem={item=yes:empty_ar15,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:magazine_event
      execute as @a[scores={reload_timer=37},hasitem={item=yes:empty_p90,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:no_magazine_event
      execute as @a[scores={reload_timer=6},hasitem={item=yes:empty_p90,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:magazine_event
        execute as @a[scores={reload_timer=40},hasitem={item=yes:empty_desert_eagle,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:no_magazine_event
        execute as @a[scores={reload_timer=7},hasitem={item=yes:empty_desert_eagle,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:magazine_event
      execute as @a[scores={reload_timer=52},hasitem={item=yes:empty_mk13,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:no_magazine_event
      execute as @a[scores={reload_timer=12},hasitem={item=yes:empty_mk13,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:magazine_event
        execute as @a[scores={reload_timer=19},hasitem={item=yes:empty_remington870,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:no_magazine_event
        execute as @a[scores={reload_timer=10},hasitem={item=yes:empty_remington870,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:magazine_event
        execute as @a[scores={reload_timer=20},hasitem={item=yes:remington870_5,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:no_magazine_event
        execute as @a[scores={reload_timer=10},hasitem={item=yes:remington870_5,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:magazine_event
        execute as @a[scores={reload_timer=20},hasitem={item=yes:remington870_4,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:no_magazine_event
        execute as @a[scores={reload_timer=10},hasitem={item=yes:remington870_4,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:magazine_event
        execute as @a[scores={reload_timer=20},hasitem={item=yes:remington870_3,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:no_magazine_event
        execute as @a[scores={reload_timer=10},hasitem={item=yes:remington870_3,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:magazine_event
        execute as @a[scores={reload_timer=20},hasitem={item=yes:remington870_2,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:no_magazine_event
        execute as @a[scores={reload_timer=10},hasitem={item=yes:remington870_2,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:magazine_event
        execute as @a[scores={reload_timer=20},hasitem={item=yes:remington870_1,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:no_magazine_event
        execute as @a[scores={reload_timer=10},hasitem={item=yes:remington870_1,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:magazine_event
      execute as @a[scores={reload_timer=79},hasitem={item=yes:empty_rpg7,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:no_magazine_event
      execute as @a[scores={reload_timer=0},hasitem={item=yes:empty_rpg7,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:magazine_event
      execute as @a[scores={reload_timer=79},hasitem={item=yes:empty_rpg7,location=slot.weapon.mainhand}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:rpg7_reload_event

      
      execute as @a[scores={reload_timer=-1}] at @s as @e[type=yes:player_entity,c=1,r=1.50] run event entity @s yes:magazine_event
# ===== end =====



tag @a[scores={reload_timer=0},tag=reloading_ak47] remove reloading_ak47
tag @a[scores={reload_timer=0},tag=reloading_ar15] remove reloading_ar15
tag @a[scores={reload_timer=0},tag=reloading_famas] remove reloading_famas

tag @a[scores={reload_timer=0},tag=reloading_ump45] remove reloading_ump45
tag @a[scores={reload_timer=0},tag=reloading_p90] remove reloading_p90

tag @a[scores={reload_timer=0},tag=reloading_mk13] remove reloading_mk13
tag @a[scores={reload_timer=0},tag=reloading_m21] remove reloading_m21

tag @a[scores={reload_timer=0},tag=reloading_remington870] remove reloading_remington870
tag @a[scores={reload_timer=0},tag=reloading_ithaca37] remove reloading_ithaca37

tag @a[scores={reload_timer=0},tag=reloading_desert_eagle] remove reloading_desert_eagle
tag @a[scores={reload_timer=0},tag=reloading_glock18] remove reloading_glock18

tag @a[scores={reload_timer=0},tag=reloading_minigun] remove reloading_minigun
tag @a[scores={reload_timer=0},tag=reloading_rpg7] remove reloading_rpg7
tag @a[scores={reload_timer=0},tag=reloading_mgl105] remove reloading_mgl105
tag @a[scores={reload_timer=0},tag=reloading_javelin] remove reloading_javelin



#	 ===== reloading shotguns =====
scoreboard objectives add reload_shotgun dummy
scoreboard objectives add shotgun_timer dummy

############### change adding score to use unless later ##################
execute as @a[hasitem={location=slot.weapon.mainhand,item=yes:remington870_5}] run scoreboard players set @s[hasitem={item=yes:shotgun_shell}] reload_shotgun 1
execute as @a[hasitem={location=slot.weapon.mainhand,item=yes:remington870_4}] run scoreboard players set @s[hasitem={item=yes:shotgun_shell}] reload_shotgun 1
execute as @a[hasitem={location=slot.weapon.mainhand,item=yes:remington870_3}] run scoreboard players set @s[hasitem={item=yes:shotgun_shell}] reload_shotgun 1
execute as @a[hasitem={location=slot.weapon.mainhand,item=yes:remington870_2}] run scoreboard players set @s[hasitem={item=yes:shotgun_shell}] reload_shotgun 1
execute as @a[hasitem={location=slot.weapon.mainhand,item=yes:remington870_1}] run scoreboard players set @s[hasitem={item=yes:shotgun_shell}] reload_shotgun 1

execute as @a[scores={reload_shotgun=0}] run scoreboard players set @s shotgun_timer 0
execute as @a[scores={reload_shotgun=1,scoped=1,shotgun_timer=21..22}] run scoreboard players add @s shotgun_timer 1
execute as @a[scores={reload_shotgun=1,scoped=0,shotgun_timer=..22}] run scoreboard players add @s shotgun_timer 1
execute as @a[scores={reload_shotgun=1,shotgun_timer=22}] run scoreboard players set @s reload_timer 20
execute as @a[scores={shotgun_timer=23..}] run scoreboard players remove @s[scores={reload_timer=1..}] reload_timer 1






execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_5}] run replaceitem entity @s slot.weapon.mainhand 0 yes:remington870_6 1 0
execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_6}] run clear @s yes:shotgun_shell -1 1 
execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_6}] at @s run event entity @e[type=yes:player_entity,c=1,r=1.50] yes:not_shotgun_cont_event
execute as @a[scores={reload_timer=1},hasitem={location=slot.weapon.mainhand,item=yes:remington870_4}] at @s run event entity @e[type=yes:player_entity,c=1,r=1.50] yes:shotgun_cont_event
execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_4}] run replaceitem entity @s slot.weapon.mainhand 0 yes:remington870_5 1 1
execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_5}] run clear @s yes:shotgun_shell -1 1 
execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_5}] run scoreboard players set @s reload_timer 20
execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_3}] run replaceitem entity @s slot.weapon.mainhand 0 yes:remington870_4 1 2
execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_4}] run clear @s yes:shotgun_shell -1 1 
execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_4}] run scoreboard players set @s reload_timer 20
execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_2}] run replaceitem entity @s slot.weapon.mainhand 0 yes:remington870_3 1 3
execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_3}] run clear @s yes:shotgun_shell -1 1 
execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_3}] run scoreboard players set @s reload_timer 20
execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_1}] run replaceitem entity @s slot.weapon.mainhand 0 yes:remington870_2 1 4
execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_2}] run clear @s yes:shotgun_shell -1 1 
execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_2}] run scoreboard players set @s reload_timer 20





#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_6}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_5}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_4}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_3}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_2}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:remington870_1}] run scoreboard players set @s reload_timer -1


#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:ithaca37_8}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:ithaca37_7}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:ithaca37_6}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:ithaca37_5}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:ithaca37_4}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:ithaca37_3}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:ithaca37_2}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:ithaca37_1}] run scoreboard players set @s reload_timer -1

#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:mgl105_6}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:mgl105_5}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:mgl105_4}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:mgl105_3}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:mgl105_2}] run scoreboard players set @s reload_timer -1
#execute as @a[scores={reload_timer=0},hasitem={location=slot.weapon.mainhand,item=yes:mgl105_1}] run scoreboard players set @s reload_timer -1

##execute as @a[scores={shotgun_timer=23..},hasitem={item=yes:shotgun_shell,quantity=1}] at @s run event entity @e[type=yes:player_entity,c=1,r=1.50] yes:shotgun_cont_event


execute as @a[scores={reload_timer=0}] run scoreboard players set @s reload_timer -1
execute as @a[scores={reload_timer=-1}] run tag @s remove reloading