export var throwables =
{
	//special weapons// ============================================================
	"yes:javelin": {
		"lowest_durability": 1,
		"does_durability_damage": false,
		"projectileVelo": 60,
		"amount_of_bullets": 1,
		"projectile": "yes:javelin_missile",
		"projectile2": "yes:javelin_block_lock_projectile",
		"projectile3": "yes:javelin_target_lock_projectile",
		"starting_score": 4,
		"spread": 0,
		"low_camerashake": 0.0,
		"mid_camerashake": 0.0,
		"high_camerashake": 0.0,
		"loudness": 150,
		"sound": "firework.blast",
		"low_recoil": 0,  
		"mid_recoil": 0,  
		"high_recoil": 0, 
		"ammo": {
			"scoreboard": {
				"name": "javelin",
				"emptyItem": "yes:empty_javelin"
			}
		},
		"scope": {
			"slowness": 5,
			"speed": 40,
			"recoil_percentage": 0.75
		},
		"fire_mode": "semi"
	},
	"yes:mgl105": {
		"lowest_durability": 1,
		"does_durability_damage": false,
		"projectileVelo": 2,
		"amount_of_bullets": 1,
		"projectile": "yes:mgl105_grenade",
		"starting_score": 2,
		"second_bullet_scoreboard_max": -10,
		"second_bullet_scoreboard_min": -10,
		"second_bullet_scoreboard_contained": false,
		"low_camerashake": 0.03,
		"mid_camerashake": 0.03,
		"high_camerashake": 0.03,
		"loudness": 90,
		"sound": "firework.blast",
		"low_recoil": 0,  
		"mid_recoil": 0,  
		"high_recoil": 0,
		"ammo": {
			"scoreboard": {
				"name": "mgl105",
				"emptyItem": "yes:empty_mgl105"
			}
		},
		"scope": {
			"slowness": 1,
			"speed": 2,
			"recoil_percentage": 0.75
		},
		"fire_mode": "auto"
	},
	"yes:rpg7": {
		"lowest_durability": 1,
		"does_durability_damage": false,
		"projectileVelo": 4,
		"amount_of_bullets": 1,
		"projectile": "yes:rpg_rocket",
		"starting_score": 4,
		"spread": 0,
		"low_camerashake": 0.1,
		"mid_camerashake": 0.1,
		"high_camerashake": 0.1,
		"loudness": 150,
		"sound": "gun.yes.rpg7_shoot",
		"low_recoil": 0,  
		"mid_recoil": 0,  
		"high_recoil": 0, 
		"ammo": {
			"scoreboard": {
				"name": "rpg7",
				"emptyItem": "yes:empty_rpg7"
			}
		},
		"scope": {
			"slowness": 1,
			"speed": 2,
			"recoil_percentage": 0.75
		},
		"fire_mode": "semi"
	},
	"yes:minigun": {
		"lowest_durability": 19,
		"does_durability_damage": true,
		"projectileVelo": 30,
		"amount_of_bullets": 5,
		"projectile": "yes:minigun_bullet",
		"starting_score": 4,
		"second_bullet_scoreboard_max": 4,
		"second_bullet_scoreboard_min": 0,
		"second_bullet_scoreboard_contained": true,
		"low_camerashake": 0.01,
		"mid_camerashake": 0.02,
		"high_camerashake": 0.04,
		"loudness": 120,
		"sound": "firework.blast",
		"low_recoil": 20,  
		"mid_recoil": 36,  
		"high_recoil": 37, 
		"ammo": {
			"scoreboard": {
				"name": "minigun",
				"emptyItem": "yes:empty_minigun"
			}
		},
		"scope": {
			"slowness": 1,
			"speed": 2,
			"recoil_percentage": 0.75
		},
		"fire_mode": "auto"
	},


	//pistols// ============================================================
	"yes:desert_eagle": {
		"lowest_durability": 1,
		"does_durability_damage": true,
		"projectileVelo": 20,
		"amount_of_bullets": 2,
		"projectile": "yes:desert_eagle_bullet",
		"projectile2": "yes:desert_eagle_bullet_no_dmg",
		"starting_score": 4,
		"spread": 0,
		"low_camerashake": 0.04,
		"mid_camerashake": 0.1,
		"high_camerashake": 0.1,
		"loudness": 90,
		"sound": "gun.yes.desert_eagle_shoot",
		"low_recoil": 28,  
		"mid_recoil": 29,  
		"high_recoil": 29, 
		"ammo": {
			"scoreboard": {
				"name": "semi_gun",
				"emptyItem": "yes:empty_desert_eagle"
			}
		},
		"scope": {
			"slowness": 1,
			"speed": 2,
			"recoil_percentage": 0.75
		},
		"fire_mode": "semi"
	},
	"yes:glock18": {
		"lowest_durability": 2,
		"does_durability_damage": true,
		"projectileVelo": 20,
		"amount_of_bullets": 5,
		"projectile": "yes:glock18_bullet",
		"starting_score": 4,
		"second_bullet_scoreboard_max": 4,
		"second_bullet_scoreboard_min": 0,
		"second_bullet_scoreboard_contained": true,
		"low_camerashake": 0.01,
		"mid_camerashake": 0.022,
		"high_camerashake": 0.035,
		"loudness": 50,
		"sound": "firework.blast",
		"low_recoil": 19,  
		"mid_recoil": 31,  
		"high_recoil": 32, 
		"ammo": {
			"scoreboard": {
				"name": "auto_gun",
				"emptyItem": "yes:empty_glock18"
			}
		},
		"scope": {
			"slowness": 1,
			"speed": 2,
			"recoil_percentage": 0.75
		},
		"fire_mode": "auto"
	},


	//submachine guns// ============================================================
	"yes:ump45": {
		"lowest_durability": 4,
		"does_durability_damage": true,
		"projectileVelo": 25,
		"amount_of_bullets": 3,
		"projectile": "yes:ump45_bullet",
		"starting_score": 4,
		"low_camerashake": 0.012,
		"mid_camerashake": 0.04,
		"high_camerashake": 0.08,
		"loudness": 50,
		"sound": "firework.blast",
		"low_recoil": 24,  
		"mid_recoil": 40,  
		"high_recoil": 41, 
		"ammo": {
			"scoreboard": {
				"name": "auto_gun",
				"emptyItem": "yes:empty_ump45"
			}
		},
		"scope": {
			"slowness": 3,
			"speed": 6,
			"recoil_percentage": 0.75
		},
		"fire_mode": "auto"
	},
	"yes:p90": {
		"lowest_durability": 8,
		"does_durability_damage": true,
		"projectileVelo": 25,
		"amount_of_bullets": 5,
		"projectile": "yes:p90_bullet",
		"starting_score": 4,
		"second_bullet_scoreboard_max": 4,
		"second_bullet_scoreboard_min": 0,
		"second_bullet_scoreboard_contained": true,
		"low_camerashake": 0.012,
		"mid_camerashake": 0.024,
		"high_camerashake": 0.042,
		"loudness": 60,
		"sound": "gun.yes.p90_shoot",
		"low_recoil": 17,  
		"mid_recoil": 33,  
		"high_recoil": 34, 
		"ammo": {
			"scoreboard": {
				"name": "auto_gun",
				"emptyItem": "yes:empty_p90"
			}
		},
		"scope": {
			"slowness": 3,
			"speed": 6,
			"recoil_percentage": 0.75
		},
		"fire_mode": "auto"
	},


	//rifles// ============================================================
	"yes:famas": {
		"lowest_durability": 3,
		"does_durability_damage": true,
		"projectileVelo": 30,
		"amount_of_bullets": 3,
		"projectile": "yes:famas_bullet",
		"starting_score": 4,
		"spread": 0.01,
		"burst_bullet_amount": 3,
		"low_camerashake": 0.012,
		"mid_camerashake": 0.035,
		"high_camerashake": 0.06,
		"loudness": 70,
		"sound": "firework.blast",
		"low_recoil": 18,  
		"mid_recoil": 30,  
		"high_recoil": 31, 
		"ammo": {
			"scoreboard": {
				"name": "semi_gun",
				"emptyItem": "yes:empty_famas"
			}
		},
		"scope": {
			"slowness": 5,
			"speed": 40,
			"recoil_percentage": 0.75
		},
		"fire_mode": "burst"
	},
	"yes:ar15": {
		"lowest_durability": 2,
		"does_durability_damage": true,
		"projectileVelo": 30,
		"amount_of_bullets": 2,
		"projectile": "yes:ar15_bullet",
		"projectile2": "",
		"starting_score": 4,
		"spread": 0,
		"low_camerashake": 0.018,
		"mid_camerashake": 0.055,
		"high_camerashake": 0.075,
		"loudness": 90,
		"sound": "gun.yes.ar15_shoot",
		"low_recoil": 24,  
		"mid_recoil": 42,  
		"high_recoil": 43, 
		"ammo": {
			"scoreboard": {
				"name": "semi_gun",
				"emptyItem": "yes:empty_ar15"
			}
		},
		"scope": {
			"slowness": 5,
			"speed": 40,
			"recoil_percentage": 0.75
		},
		"fire_mode": "semi"
	},
	"yes:ak47": {
		"lowest_durability": 3,
		"does_durability_damage": true,
		"projectileVelo": 30,
		"amount_of_bullets": 3,
		"projectile": "yes:ak47_bullet",
		"starting_score": 4,
		"second_bullet_scoreboard_max": 3,
		"second_bullet_scoreboard_min": 1,
		"second_bullet_scoreboard_contained": false,
		"low_camerashake": 0.018,
		"mid_camerashake": 0.03,
		"high_camerashake": 0.055,
		"loudness": 80,
		"sound": "gun.yes.ak47_shoot",
		"low_recoil": 14,  
		"mid_recoil": 34,  
		"high_recoil": 35, 
		"ammo": {
			"scoreboard": {
				"name": "auto_gun",
				"emptyItem": "yes:empty_ak47"
			}
		},
		"scope": {
			"slowness": 4,
			"speed": 13,
			"recoil_percentage": 0.75
		},
		"fire_mode": "auto"
	},


		//shotguns// ============================================================
	"yes:remington870": {
		"lowest_durability": 1,
		"does_durability_damage": false,
		"projectileVelo": 15,
		"amount_of_bullets": 8,
		"projectile": "yes:remington870_bullet",
		"projectile2": "yes:remington870_bullet_no_dmg",
		"starting_score": 8,
		"spread": 0.025,
		"low_camerashake": 0.08,
		"mid_camerashake": 0.13,
		"high_camerashake": 0.13,
		"loudness": 80,
		"sound": "gun.yes.remington870_shoot",
		"low_recoil": 30,  
		"mid_recoil": 31,  
		"high_recoil": 31, 
		"ammo": {
			"scoreboard": {
				"name": "semi_gun",
				"emptyItem": "yes:empty_remington870"
			}
		},
		"scope": {
			"slowness": 2,
			"speed": 2,
			"recoil_percentage": 0.75
		},
		"fire_mode": "semi"
	},
	"yes:ithaca37": {
		"lowest_durability": 1,
		"does_durability_damage": false,
		"projectileVelo": 15,
		"amount_of_bullets": 2,
		"projectile": "yes:ithaca37_bullet",
		"projectile2": "yes:ithaca37_bullet_no_dmg",
		"starting_score": 4,
		"spread": 0.005,
		"low_camerashake": 0.05,
		"mid_camerashake": 0.09,
		"high_camerashake": 0.12,
		"loudness": 70,
		"sound": "firework.blast",
		"low_recoil": 21,  
		"mid_recoil": 31,  
		"high_recoil": 32, 
		"ammo": {
			"scoreboard": {
				"name": "semi_gun",
				"emptyItem": "yes:empty_ithaca37"
			}
		},
		"scope": {
			"slowness": 2,
			"speed": 2,
			"recoil_percentage": 0.75
		},
		"fire_mode": "semi"
	},


		//snipers// ============================================================
	"yes:mk13": {
		"lowest_durability": 1,
		"does_durability_damage": true,
		"projectileVelo": 40,
		"amount_of_bullets": 2,
		"projectile": "yes:mk13_bullet",
		"projectile2": "yes:mk13_bullet_no_dmg",
		"starting_score": 18,
		"spread": 0,
		"low_camerashake": 0.08,
		"mid_camerashake": 0.08,
		"high_camerashake": 0.08,
		"loudness": 120,
		"sound": "gun.yes.mk13_shoot",
		"low_recoil": 0,  
		"mid_recoil": 0,  
		"high_recoil": 0, 
		"ammo": {
			"scoreboard": {
				"name": "semi_gun",
				"emptyItem": "yes:empty_mk13"
			}
		},
		"scope": {
			"slowness1": 5,
			"speed1": 40,
			"slowness2": 9,
			"speed2": 0,
			"recoil_percentage": 0.75
		},
		"fire_mode": "semi"
	},
	"yes:m21": {
		"lowest_durability": 1,
		"does_durability_damage": true,
		"projectileVelo": 40,
		"amount_of_bullets": 2,
		"projectile": "yes:m21_bullet",
		"projectile2": "yes:m21_bullet_no_dmg",
		"starting_score": 10,
		"spread": 0,
		"low_camerashake": 0.05,
		"mid_camerashake": 0.08,
		"high_camerashake": 0.1,
		"loudness": 100,
		"sound": "firework.blast",
		"low_recoil": 20,  
		"mid_recoil": 36,  
		"high_recoil": 37, 
		"ammo": {
			"scoreboard": {
				"name": "semi_gun",
				"emptyItem": "yes:empty_m21"
			}
		},
		"scope": {
			"slowness": 6,
			"speed": 0,
			"recoil_percentage": 0.75
		},
		"fire_mode": "semi"
	}
}
